import os
from pydantic import BaseSettings


class Settings(BaseSettings):
    SECRET_KEY: str = os.getenv("SECRET_KEY", "your-secret-key-here")
    ALGORITHM: str = "HS256"
    ACCESS_TOKEN_EXPIRE_MINUTES: int = 30
    PROJECT_NAME: str = "SaaS Invoicing Application"
    API_V1_STR: str = "/api/v1"

    class Config:
        env_file = ".env"


settings = Settings()